Index: trunk/doc/Flair/search/functions_e.js
===================================================================
--- trunk/doc/Flair/search/functions_e.js	(revision 33)
+++ trunk/doc/Flair/search/functions_e.js	(revision 34)
@@ -10,5 +10,5 @@
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
   ['objectremoved',['objectRemoved',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#objectRemoved',0,'QDesignerFormWindowInterface']]],
-  ['objecttype',['objectType',['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()'],['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()']]],
+  ['objecttype',['ObjectType',['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()']]],
   ['officonset',['offIconSet',['http://qt-project.org/doc/qt-4.8/qtoolbutton-qt3.html#offIconSet',0,'QToolButton']]],
   ['offlinestoragedefaultquota',['offlineStorageDefaultQuota',['http://qt-project.org/doc/qt-4.8/qwebsettings.html#offlineStorageDefaultQuota',0,'QWebSettings']]],
Index: trunk/doc/Flair/search/searchdata.js
===================================================================
--- trunk/doc/Flair/search/searchdata.js	(revision 34)
+++ trunk/doc/Flair/search/searchdata.js	(revision 34)
@@ -0,0 +1,42 @@
+var indexSectionsWithContent =
+{
+  0: "abcdefghijklmnopqrstuvwxyz~",
+  1: "abcdefghijklmnopqrstuvwx",
+  2: "fpq",
+  3: "abcdefghijlmnopqrstuvwx",
+  4: "abcdefghijklmnopqrstuvwxyz~",
+  5: "abcdefghiklmnopqrstvwxyz",
+  6: "t",
+  7: "cfmnptu",
+  8: "abdefgilmnpqrstuvwxy",
+  9: "abcdefghiklmnopqrstuvwxyz"
+};
+
+var indexSectionNames =
+{
+  0: "all",
+  1: "classes",
+  2: "namespaces",
+  3: "files",
+  4: "functions",
+  5: "variables",
+  6: "typedefs",
+  7: "enums",
+  8: "enumvalues",
+  9: "properties"
+};
+
+var indexSectionLabels =
+{
+  0: "All",
+  1: "Classes",
+  2: "Namespaces",
+  3: "Files",
+  4: "Functions",
+  5: "Variables",
+  6: "Typedefs",
+  7: "Enumerations",
+  8: "Enumerator",
+  9: "Properties"
+};
+
